Bug 1908268 - Fix symbol versioning properly
Summary: Fix symbol versioning properly
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libpq
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Patrik Novotný
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-12-16 09:31 UTC by Honza Horak
Modified: 2021-04-02 08:55 UTC (History)
4 users (show)

Fixed In Version: libpq-13.1-3.fc34
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-08 11:55:55 UTC
Type: Bug


Attachments (Terms of Use)

Description Honza Horak 2020-12-16 09:31:15 UTC
Description of problem:
The symbol versioning is added downstream to allow use a single libpq library in the whole Fedora ecosystem and not get to the dependency hell if we had more versions of libpq available.

However, there was a mistake done in versioning and fixing it means breaking ABI compatibility as we've seen in https://bugzilla.redhat.com/show_bug.cgi?id=1893324

(Pavel Raiskup mentioned in a comment bz#1893324#4)
> The problem is actually caused by edeb3b955972d960f5f0eddf0f44891d77f22293, 
> when we forgot to specify that several symbols were added in v12.

Some more discussion about this issue also in
https://src.fedoraproject.org/rpms/libpq/pull-request/4

Version-Release number of selected component (if applicable):
libpq-13.1-1.fc34

Comment 1 Fedora Update System 2021-02-08 11:55:55 UTC
FEDORA-2021-a03d96f7ba has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 2 Fedora Update System 2021-02-08 11:58:56 UTC
FEDORA-2021-d3ee2ffe75 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 3 Fedora Update System 2021-02-08 13:16:59 UTC
FEDORA-2021-1199b77cf4 has been pushed to the Fedora ELN stable repository.
If problem still persists, please make note of it in this bug report.

Comment 4 Fedora Update System 2021-02-09 07:28:08 UTC
FEDORA-2021-e20407327e has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-e20407327e

Comment 5 Fedora Update System 2021-02-09 10:17:55 UTC
FEDORA-2021-e20407327e has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 6 Fedora Update System 2021-02-09 10:32:34 UTC
FEDORA-2021-3a3623efee has been pushed to the Fedora ELN stable repository.
If problem still persists, please make note of it in this bug report.

Comment 7 Fedora Update System 2021-02-09 10:38:34 UTC
FEDORA-2021-808886028a has been pushed to the Fedora ELN stable repository.
If problem still persists, please make note of it in this bug report.

Comment 8 Fedora Update System 2021-02-09 10:41:34 UTC
FEDORA-2021-ff8a36ebc5 has been pushed to the Fedora ELN stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2021-02-09 10:41:38 UTC
FEDORA-2021-0647627b81 has been pushed to the Fedora ELN stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2021-02-09 10:44:34 UTC
FEDORA-2021-513577c1a2 has been pushed to the Fedora ELN stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Fedora Update System 2021-02-09 10:50:34 UTC
FEDORA-2021-82a2262fbb has been pushed to the Fedora ELN stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2021-02-09 10:56:32 UTC
FEDORA-2021-3d1e4ebec2 has been pushed to the Fedora ELN stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2021-02-09 10:56:35 UTC
FEDORA-2021-4ddeaa69b0 has been pushed to the Fedora ELN stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Fedora Update System 2021-02-09 10:56:42 UTC
FEDORA-2021-084beef1ce has been pushed to the Fedora ELN stable repository.
If problem still persists, please make note of it in this bug report.

Comment 15 Fedora Update System 2021-02-09 11:35:50 UTC
FEDORA-2021-32af7a57d8 has been pushed to the Fedora ELN stable repository.
If problem still persists, please make note of it in this bug report.

Comment 16 Fedora Update System 2021-02-09 11:41:36 UTC
FEDORA-2021-fd4ab1d096 has been pushed to the Fedora ELN stable repository.
If problem still persists, please make note of it in this bug report.

Comment 17 Fedora Update System 2021-02-09 15:23:44 UTC
FEDORA-2021-aa90b7a915 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 18 Fedora Update System 2021-02-09 16:44:44 UTC
FEDORA-2021-f42fd2043f has been pushed to the Fedora ELN stable repository.
If problem still persists, please make note of it in this bug report.

Comment 19 Fedora Update System 2021-02-10 05:28:08 UTC
FEDORA-2021-cba1b8c09f has been pushed to the Fedora ELN stable repository.
If problem still persists, please make note of it in this bug report.

Comment 20 Fedora Update System 2021-02-10 13:10:21 UTC
FEDORA-2021-e76c51837d has been pushed to the Fedora ELN stable repository.
If problem still persists, please make note of it in this bug report.

Comment 21 Fedora Update System 2021-02-11 08:30:47 UTC
FEDORA-2021-5c52900493 has been pushed to the Fedora ELN stable repository.
If problem still persists, please make note of it in this bug report.

Comment 22 Fedora Update System 2021-02-19 07:21:32 UTC
FEDORA-2021-f1ee579445 has been pushed to the Fedora ELN stable repository.
If problem still persists, please make note of it in this bug report.

Comment 23 Fedora Update System 2021-02-19 09:21:38 UTC
FEDORA-2021-d352b83bfa has been pushed to the Fedora ELN stable repository.
If problem still persists, please make note of it in this bug report.

Comment 24 Fedora Update System 2021-03-01 20:34:05 UTC
FEDORA-2021-8b4744f152 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-8b4744f152

Comment 25 Fedora Update System 2021-03-02 04:30:55 UTC
FEDORA-2021-8b4744f152 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-8b4744f152`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-8b4744f152

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 26 Fedora Update System 2021-03-02 20:32:08 UTC
FEDORA-2021-a3f9ee1a8c has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 27 Fedora Update System 2021-03-10 11:22:13 UTC
FEDORA-2021-328e0dfb04 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 28 Fedora Update System 2021-03-11 08:55:53 UTC
FEDORA-2021-45d0d3ef6f has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 29 Fedora Update System 2021-03-11 09:13:55 UTC
FEDORA-2021-2eaa5ae4f0 has been pushed to the Fedora ELN stable repository.
If problem still persists, please make note of it in this bug report.

Comment 30 Fedora Update System 2021-03-19 17:35:25 UTC
FEDORA-2021-8b4744f152 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 31 Fedora Update System 2021-03-19 19:53:25 UTC
FEDORA-2021-8b4744f152 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 32 Fedora Update System 2021-03-24 00:39:02 UTC
FEDORA-2021-3da4f93c32 has been pushed to the Fedora ELN stable repository.
If problem still persists, please make note of it in this bug report.

Comment 33 Fedora Update System 2021-03-26 17:52:42 UTC
FEDORA-2021-3e22fcb476 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 34 Fedora Update System 2021-03-26 18:10:41 UTC
FEDORA-2021-9d92f67c6e has been pushed to the Fedora ELN stable repository.
If problem still persists, please make note of it in this bug report.

Comment 35 Fedora Update System 2021-04-02 08:55:50 UTC
FEDORA-2021-1fed259681 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.